| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::voice_out_packet Struct Reference

An opus-encoded RTP packet to be sent out to a voice channel. More...

`#include <discordvoiceclient.h>`

Collaboration diagram for dpp::voice_out_packet:
[legend]

## Public Attributes

uint64_t | duration
| Duration of packet.
std::string | packet
| Each string is a UDP packet. Generally these will be RTP.

## Detailed Description

An opus-encoded RTP packet to be sent out to a voice channel.

## Member Data Documentation

## ◆ duration

uint64_t dpp::voice_out_packet::duration

Duration of packet.

## ◆ packet

std::string dpp::voice_out_packet::packet

Each string is a UDP packet. Generally these will be RTP.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0